Name:		lxappearance
Version:	0.6.3
Release:	%mkrel 3.git20220517.4
Summary:	A new feature-rich GTK+ theme switcher
License:	GPLv2+
Group:		Graphical desktop/Other

#Source0:	https://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.xz
Source0:	https://github.com/lxde/%{name}/archive/refs/heads/master.zip
Patch0:		%{name}-127d0de-mga-fix-generating-man-page.patch
Patch1:		mga-fix-bug-31045.patch
Patch2:		mga-fix-typo-in-French-l10n.patch
Patch3:		mga-replace-GtkHandleBox.patch
URL:		http://www.lxde.org
BuildRequires:	pkgconfig(dbus-1) >= 0.95
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.70
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	xsltproc

%description
LXAppearance is a new GTK+ theme switcher developed for project LXDE.

%package devel
Group:		Graphical desktop/Other
Summary:	%{name} development files
Provides:	%{name}-devel = %{version}-%{release}

%description devel
This package contains header files needed when building applications based on
%{name}.

%prep
%setup -qn %{name}-master
%autopatch -p1

%build
./autogen.sh
%configure --enable-dbus --enable-gtk3
%make_build

%install
%make_install

%{find_lang} %{name}

desktop-file-install --vendor="" \
	--remove-key="NotShowIn" \
	--add-only-show-in="LXDE" \
	--dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*.desktop

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_mandir}/man1/*

%files devel
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}.pc




%changelog
* Fri Nov 18 2022 ns80 <ns80> 0.6.3-3.git20220517.4.mga9
+ Revision: 1908673
- add a patch to replace GtkHandleBox by GtkEventBox (mga#30651)

* Fri Nov 18 2022 ns80 <ns80> 0.6.3-3.git20220517.3.mga9
+ Revision: 1908660
- add a patch to fix a typo in French translation
- add a patch to only list themes that apply to GTK2 and GTK3 (mga#31045)

* Tue Jul 26 2022 ns80 <ns80> 0.6.3-3.git20220517.2.mga9
+ Revision: 1872006
- remove "Recommends: lxappearance-obconf" (mga#30666)

* Wed May 18 2022 ns80 <ns80> 0.6.3-3.git20220517.1.mga9
+ Revision: 1858568
- update to latest git snapshot

* Wed Mar 30 2022 umeabot <umeabot> 0.6.3-3.git20200406.3.mga9
+ Revision: 1835476
- Mageia 9 Mass Rebuild

* Tue Mar 02 2021 ns80 <ns80> 0.6.3-3.git20200406.2.mga9
+ Revision: 1696088
- build with GTK 3

* Tue Apr 07 2020 ns80 <ns80> 0.6.3-3.git20200406.1.mga8
+ Revision: 1565383
- update to latest git snapshot touse GDbus instead of dbus-glib

* Sat Feb 15 2020 umeabot <umeabot> 0.6.3-3.git20190224.2.mga8
+ Revision: 1523450
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Mar 04 2019 ns80 <ns80> 0.6.3-3.git20190224.1.mga7
+ Revision: 1371333
- add patch to fix generating man page
- update to latest git snapshot

* Sun Sep 23 2018 umeabot <umeabot> 0.6.3-2.mga7
+ Revision: 1299392
- Mageia 7 Mass Rebuild

* Fri Jan 27 2017 ns80 <ns80> 0.6.3-1.mga6
+ Revision: 1083565
- new version 0.6.3

* Mon Jan 23 2017 ns80 <ns80> 0.6.2-2.mga6
+ Revision: 1083123
- add an upstream patch to use gtk_rc_get_default_files() for gtkrc file

* Sun Feb 21 2016 ns80 <ns80> 0.6.2-1.mga6
+ Revision: 975310
- new version 0.6.2

* Tue Feb 09 2016 umeabot <umeabot> 0.6.1-4.mga6
+ Revision: 952290
- Mageia 6 Mass Rebuild

* Thu Feb 12 2015 ns80 <ns80> 0.6.1-3.mga5
+ Revision: 814795
- Revert requirement to {lib|lib64}canberra-gtk0

* Thu Feb 12 2015 ns80 <ns80> 0.6.1-2.mga5
+ Revision: 814760
- Add {lib|lib64}canberra-gtk0 requirement to solve bug mga#15176

* Sun Oct 26 2014 alexl <alexl> 0.6.1-1.mga5
+ Revision: 793534
- version 0.6.1 (mga#14370)

* Wed Oct 22 2014 alexl <alexl> 0.6.0-1.mga5
+ Revision: 792526
- fix spelling error: developement -> development
- configure with --enable-dbus (mga#12611)
- version 0.6.0 (mga#14164)

* Wed Oct 15 2014 umeabot <umeabot> 0.5.5-3.mga5
+ Revision: 750903
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.5-2.mga5
+ Revision: 682061
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Feb 06 2014 fwang <fwang> 0.5.5-1.mga5
+ Revision: 584616
- 0.5.5

* Fri Oct 18 2013 umeabot <umeabot> 0.5.2-3.mga4
+ Revision: 507631
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.5.2-2.mga3
+ Revision: 359149
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 obgr_seneca <obgr_seneca> 0.5.2-1.mga3
+ Revision: 248304
- new version 0.5.2

* Thu Aug 04 2011 fwang <fwang> 0.5.1-1.mga2
+ Revision: 131682
- update file list
- new version 0.5.1

* Sun May 01 2011 pterjan <pterjan> 0.5.0-6.mga1
+ Revision: 94033
- Bump release higher than Mandriva

* Fri Feb 04 2011 ahmad <ahmad> 0.5.0-2.mga1
+ Revision: 46892
- imported package lxappearance


* Fri Dec 31 2010 Александр Казанцев <kazancas@mandriva.org> 0.5.0-2mdv2011.0
+ Revision: 626796
- add devel package and suggest of obconf plugin

* Thu Oct 14 2010 Funda Wang <fwang@mandriva.org> 0.5.0-1mdv2011.0
+ Revision: 585633
- New version 0.5.0

* Thu Jun 10 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4.0-2mdv2010.1
+ Revision: 547856
- make lxappearance.desktop appear only in LXDE

* Thu Jan 07 2010 Funda Wang <fwang@mandriva.org> 0.4.0-1mdv2010.1
+ Revision: 487023
- New version 0.4.0

* Wed Dec 09 2009 Funda Wang <fwang@mandriva.org> 0.3.0-1mdv2010.1
+ Revision: 475335
- BR intltool
- new version 0.3.0

* Mon Jul 06 2009 Funda Wang <fwang@mandriva.org> 0.2.1-1mdv2010.0
+ Revision: 392807
- new version 0.2.1

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.2-2mdv2009.0
+ Revision: 268122
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 0.2-1mdv2009.0
+ Revision: 200930
- BR desktop-file-utils
- fix url
- import source
- Created package structure for lxappearance.

